jQuery(document).ready(function($) {
    var vegavendDots = 0;
    var vegavendLoadingInterval = setInterval(function() {
        vegavendDots = (vegavendDots + 1) % 5;
        $('#loading-dots, #total-products-dots, .status-dots').text('.'.repeat(vegavendDots));
    }, 500);

    function updateTotalProducts(response, retryCount = 0) {
        if (response.success) {
            var totalProductsElement = $('.vegavend-total-products #total-products');
            if (totalProductsElement.length > 0) {
                totalProductsElement.text(response.data.total_products);
                totalProductsElement.css('visibility', 'visible');
                totalProductsElement.css('display', 'inline-block');
                clearInterval(vegavendLoadingInterval);
                $('.vegavend-total-products #total-products-dots').hide();
            } else {
                if (retryCount < 5) {
                    setTimeout(function() {
                        updateTotalProducts(response, retryCount + 1);
                    }, 1000);
                }
            }
        } else {
            var totalProductsElement = $('.vegavend-total-products #total-products');
            if (totalProductsElement.length > 0) {
                totalProductsElement.text(vegavendStatus.failedLoadTotalProducts);
                totalProductsElement.css('visibility', 'visible');
                totalProductsElement.css('display', 'inline-block');
                clearInterval(vegavendLoadingInterval);
                $('.vegavend-total-products #total-products-dots').hide();
            } else {
                if (retryCount < 5) {
                    setTimeout(function() {
                        updateTotalProducts(response, retryCount + 1);
                    }, 1000);
                }
            }
        }
    }

    $.ajax({
        url: vegavendStatus.ajaxurl,
        method: 'POST',
        data: {
            action: 'get_product_status_data',
            _ajax_nonce: vegavendStatus.nonceProductStatus
        },
        success: function(response) {
            if (response.success) {
                $('#product-status-loading').hide();
                $('#product-status-content').html(response.data.html).show();
                if (response.data.has_issues) {
                    $('#product-issues-card').show();
                    $('#product-issues-content').html(response.data.issues_html);
                }
            } else {
                $('#product-status-loading').html('<p>' + vegavendStatus.failedLoadProductStatus + '</p>');
            }
            clearInterval(vegavendLoadingInterval);
        },
        error: function() {
            $('#product-status-loading').html('<p>' + vegavendStatus.failedLoadProductStatus + '</p>');
            clearInterval(vegavendLoadingInterval);
        }
    });

    $.ajax({
        url: vegavendStatus.ajaxurl,
        method: 'POST',
        data: {
            action: 'get_total_products',
            _ajax_nonce: vegavendStatus.nonceTotalProducts
        },
        success: function(response) {
            updateTotalProducts(response);
        },
        error: function() {
            var totalProductsElement = $('.vegavend-total-products #total-products');
            if (totalProductsElement.length > 0) {
                totalProductsElement.text(vegavendStatus.failedLoadTotalProducts);
                totalProductsElement.css('visibility', 'visible');
                totalProductsElement.css('display', 'inline-block');
                clearInterval(vegavendLoadingInterval);
                $('.vegavend-total-products #total-products-dots').hide();
            } else {
                setTimeout(function() {
                    updateTotalProducts({ success: false });
                }, 1000);
            }
        }
    });
});
