<?php
/*
Template Name: Return Policy
*/

get_header(); ?>

<?php
// Fetch the vendor email address from the account form
$vendor_email = get_user_meta(get_current_user_id(), 'vegavend_email', true);
?>

<div class="return-policy">
    <h2><?php esc_html_e('Return Policy', 'vegavend-merchant-connector'); ?></h2>

    <p><?php esc_html_e('We have a 30-day return policy, which means you have 30 days after receiving your item to request a return.', 'vegavend-merchant-connector'); ?></p>

    <p><?php esc_html_e('To be eligible for a return, your item must be in the same condition that you received it, unworn or unused, with tags, and in its original packaging. You’ll also need the receipt or proof of purchase.', 'vegavend-merchant-connector'); ?></p>

    <p><?php echo esc_html__('To start a return, you can contact us at ', 'vegavend-merchant-connector') . esc_html($vendor_email) . esc_html__('. Please note that returns will need to be sent to the following address: [INSERT RETURN ADDRESS]', 'vegavend-merchant-connector'); ?></p>

    <p><?php esc_html_e('If your return is accepted, we’ll send you a return shipping label, as well as instructions on how and where to send your package. Items sent back to us without first requesting a return will not be accepted.', 'vegavend-merchant-connector'); ?></p>

    <p><?php echo esc_html__('You can always contact us for any return question at ', 'vegavend-merchant-connector') . esc_html($vendor_email) . esc_html__('.', 'vegavend-merchant-connector'); ?></p>

    <h3><?php esc_html_e('Damages and issues', 'vegavend-merchant-connector'); ?></h3>
    <p><?php esc_html_e('Please inspect your order upon reception and contact us immediately if the item is defective, damaged or if you receive the wrong item, so that we can evaluate the issue and make it right.', 'vegavend-merchant-connector'); ?></p>

    <h3><?php esc_html_e('Exceptions / non-returnable items', 'vegavend-merchant-connector'); ?></h3>
    <p><?php esc_html_e('Certain types of items cannot be returned, like perishable goods (such as food, flowers, or plants), custom products (such as special orders or personalised items), and personal care goods (such as beauty products). We also do not accept returns for hazardous materials, flammable liquids, or gases. Please get in touch if you have questions or concerns about your specific item.', 'vegavend-merchant-connector'); ?></p>
    <p><?php esc_html_e('Unfortunately, we cannot accept returns on sale items or gift cards.', 'vegavend-merchant-connector'); ?></p>

    <h3><?php esc_html_e('Exchanges', 'vegavend-merchant-connector'); ?></h3>
    <p><?php esc_html_e('The fastest way to ensure you get what you want is to return the item you have, and once the return is accepted, make a separate purchase for the new item.', 'vegavend-merchant-connector'); ?></p>

    <h3><?php esc_html_e('European Union 14 day cooling off period', 'vegavend-merchant-connector'); ?></h3>
    <p><?php esc_html_e('Notwithstanding the above, if the merchandise is being shipped into the European Union, you have the right to cancel or return your order within 14 days, for any reason and without a justification. As above, your item must be in the same condition that you received it, unworn or unused, with tags, and in its original packaging. You’ll also need the receipt or proof of purchase.', 'vegavend-merchant-connector'); ?></p>
</div>

<?php get_footer(); ?>
