<?php
if ( ! defined( 'ABSPATH' ) ) exit;

class Vegavend_API_Config {
    // API key for authentication
    const API_KEY = '844e1cf0b1bf70a14cae98afb7c5b57f';
    // Base URL for the API
    const BASE_URL = 'https://vegavend.com';
    // Base route for the API
    const BASE_ROUTE = '/wp-json/vegavend-store-api/v1';

    // Get the API key
    public static function get_api_key() {
        return self::API_KEY;
    }

    // Get the full API URL for a given endpoint
    public static function get_api_url($endpoint) {
        return self::BASE_URL . self::BASE_ROUTE . $endpoint;
    }

    // Get the base URL
    public static function get_base_url() {
        return self::BASE_URL;
    }

    // Get the base route
    public static function get_base_route() {
        return self::BASE_ROUTE;
    }
    
    // Get the URL for fetching categories
    public static function get_categories_url() {
        return self::get_api_url('/get-categories');
    }

    // Get the URL for fetching products
    public static function get_product_url() {
        return self::get_api_url('/products');
    }

    // Get the URL for fetching product status report
    public static function get_product_status_url() {
        return self::get_api_url('/get_product_status_report');
    }

    // Get the URL for fetching subscription report
    public static function get_subscription_report_url() {
        return self::get_api_url('/get_subscription_report');
    }

    // Get the URL for fetching product issues
    public static function get_product_issues_url() {
        return self::get_api_url('/get_product_issues');
    }

    // Get the URL for fetching orders
    public static function get_order_url() {
        return self::get_api_url('/orders');
    }

    // Get the URL for fetching account details
    public static function get_account_url() {
        return self::get_api_url('/accounts');
    }

    // Get the URL for fetching account updates
    public static function get_account_update_url() {
        return self::get_api_url('/update-account');
    }
}
?>