<?php
if ( ! defined( 'ABSPATH' ) ) exit;

class Vegavend_Support_Page {

    public function vegavend_support_page() {
        $base_url = Vegavend_API_Config::get_base_url();
        $site_url = get_site_url();
        ?>
        <div class="wrap">
            <h1><?php esc_html_e('VegaVend Support', 'vegavend-merchant-connector'); ?></h1>
            
            <div class="card">
                <h2><?php esc_html_e('Getting Started', 'vegavend-merchant-connector'); ?></h2>
                <p><?php esc_html_e('To successfully integrate and utilize the VegaVend Plugin with your WooCommerce store, follow these steps:', 'vegavend-merchant-connector'); ?></p>
                
                <ol>
                    <li><?php esc_html_e('Create a VegaVend Vendor Account by visiting', 'vegavend-merchant-connector'); ?> <a href="<?php echo esc_url($base_url . '/become-a-vendor'); ?>" target="_blank"><?php esc_html_e('Become a Vendor', 'vegavend-merchant-connector'); ?></a>.</li>
                    <li><?php esc_html_e('Set up your store on VegaVend by verifying your ID and address', 'vegavend-merchant-connector'); ?> <a href="<?php echo esc_url($base_url . '/dashboard/settings/verification/'); ?>" target="_blank"><?php esc_html_e('here', 'vegavend-merchant-connector'); ?></a>.</li>
                    <li><?php esc_html_e('Add your payment account to receive payments', 'vegavend-merchant-connector'); ?> <a href="<?php echo esc_url($base_url . '/dashboard/settings/payment/'); ?>" target="_blank"><?php esc_html_e('here', 'vegavend-merchant-connector'); ?></a>.</li>
                    <li><?php esc_html_e('Set up your shipping rates and policies', 'vegavend-merchant-connector'); ?> <a href="<?php echo esc_url($base_url . '/dashboard/settings/shipping/#/'); ?>" target="_blank"><?php esc_html_e('here', 'vegavend-merchant-connector'); ?></a>. <?php esc_html_e('If you require basic shipping (Flat Rate/ Free) this can be set up in the VegaVend Plugin.', 'vegavend-merchant-connector'); ?></li>
                    <li><?php esc_html_e('Optionally, verify your social media accounts to boost consumer confidence.', 'vegavend-merchant-connector'); ?></li>
                </ol>
            </div>
            
            <div class="card">
                <h2><?php esc_html_e('Plugin Configuration', 'vegavend-merchant-connector'); ?></h2>
                <p><?php esc_html_e('After setting up your VegaVend account:', 'vegavend-merchant-connector'); ?></p>
                
                <ol>
                    <li><?php esc_html_e('Go to the VegaVend Connector settings page in your WordPress admin.', 'vegavend-merchant-connector'); ?></li>
                    <li><?php esc_html_e('Enter your VegaVend Store ID to connect your account with your website.', 'vegavend-merchant-connector'); ?></li>
                    <li><?php esc_html_e('Select how you would like your products to sync.', 'vegavend-merchant-connector'); ?></li>
                    <li><?php esc_html_e('Complete outstanding tasks in your account tab.', 'vegavend-merchant-connector'); ?></li>
                    <li><?php esc_html_e('Match your product Categories with that of VegaVend’s - ', 'vegavend-merchant-connector'); ?><a href="<?php echo esc_url($site_url . '/wp-admin/edit-tags.php?taxonomy=product_cat&post_type=product'); ?>"><?php esc_html_e('here', 'vegavend-merchant-connector'); ?></a></li>
                    <li><?php esc_html_e('Be sure to add all your product GTIN’s to your WooCommerce products.', 'vegavend-merchant-connector'); ?></li>
                    <li><?php esc_html_e('Once your account is fully setup and verified, all your products will begin to sync with your WooCommerce store.', 'vegavend-merchant-connector'); ?></li>
                </ol>
            </div>
                 
            <div class="card">
                <h2><?php esc_html_e('Useful Links', 'vegavend-merchant-connector'); ?></h2>
                <p><?php esc_html_e('You will need to be logged into your seller account to view links.', 'vegavend-merchant-connector'); ?></p>
                <ul>
                    <li><a href="<?php echo esc_url($base_url . '/dashboard'); ?>" target="_blank"><?php esc_html_e('Vendor Dashboard', 'vegavend-merchant-connector'); ?></a></li>
                    <li><a href="<?php echo esc_url($base_url . '/dashboard/settings/store/'); ?>" target="_blank"><?php esc_html_e('Store Settings', 'vegavend-merchant-connector'); ?></a></li>
                    <li><a href="<?php echo esc_url($base_url . '/dashboard/settings/payment/'); ?>" target="_blank"><?php esc_html_e('Payments', 'vegavend-merchant-connector'); ?></a></li>
                    <li><a href="<?php echo esc_url($base_url . '/dashboard/settings/verification/'); ?>" target="_blank"><?php esc_html_e('Verifications', 'vegavend-merchant-connector'); ?></a></li>
                    <li><a href="<?php echo esc_url($base_url . '/dashboard/settings/shipping/#/'); ?>" target="_blank"><?php esc_html_e('Shipping Costs', 'vegavend-merchant-connector'); ?></a></li>
                    <li><a href="<?php echo esc_url($base_url . '/dashboard/settings/shipping/#/settings'); ?>" target="_blank"><?php esc_html_e('Shipping Policies', 'vegavend-merchant-connector'); ?></a></li>
                    <li><a href="<?php echo esc_url($base_url . '/dashboard/settings/rma/'); ?>" target="_blank"><?php esc_html_e('Returns Policy', 'vegavend-merchant-connector'); ?></a></li>
                    <li><a href="<?php echo esc_url($base_url . '/dashboard/settings/seo/'); ?>" target="_blank"><?php esc_html_e('Store SEO', 'vegavend-merchant-connector'); ?></a></li>
                    <li><a href="<?php echo esc_url($base_url . '/vendor-help'); ?>" target="_blank"><?php esc_html_e('Support Centre', 'vegavend-merchant-connector'); ?></a></li>
                </ul>
            </div>
            
            <div class="card">
                <h2><?php esc_html_e('Need More Help?', 'vegavend-merchant-connector'); ?></h2>
                <p><?php esc_html_e('If you need further assistance, please contact our support team:', 'vegavend-merchant-connector'); ?></p>
                <ul>
                    <li><?php esc_html_e('Visit our', 'vegavend-merchant-connector'); ?> <a href="<?php echo esc_url($base_url . '/vendor-help'); ?>" target="_blank"><?php esc_html_e('Support Centre', 'vegavend-merchant-connector'); ?></a></li>
                    <li><?php esc_html_e('Email us at', 'vegavend-merchant-connector'); ?> <a href="mailto:support@vegavend.com">support@vegavend.com</a></li>
                </ul>
            </div>
        </div>
        <?php
    }
}

new Vegavend_Support_Page();